﻿using System;
using System.Collections.Generic;
using System.Text;

using Koossery.MVCwin.Filters.basefilter;
using Koossery.MVCwin.Filters.itf;

namespace Koossery.MVCwin.Filters.impl
{
    /// <author>Mohamadou Yacoubou</author>
    /// <summary>
    /// The action filter attribute, it's executed before and after the action
    /// </summary>
	public class ActionFilterAttribute : FilterAttribute, IActionFilter
	{
		#region Public Methods

        /// <summary>
        /// The after method. This method is executed after the execution of an action
        /// </summary>
        /// <param name="postContext">The context of execution</param>
		public virtual void OnActionExecuted(Koossery.MVCwin.Filters.context.ActionExecutedContext postContext)
		{
		}

        /// <summary>
        /// The before method. This method is executed before the execution of an action
        /// </summary>
        /// <param name="preContext">The context of execution</param>
		public virtual void OnActionExecuting(Koossery.MVCwin.Filters.context.ActionExecutingContext preContext)
		{
		}

		#endregion Public Methods
	}
}