﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Security.Principal;

namespace Koossery.MVCwin.Util
{
    /// <summary>
    /// Custom implementation of Identity
    /// </summary>
    /// <author>Mohamadou Yacoubou</author>
    public class CustomIdentity : IIdentity
    {
        #region IIdentity Members

        public string AuthenticationType { get { return null; } }
        public bool IsAuthenticated { get; internal set; }
        public string Name { get; internal set; }
        public string Login { get; internal set; }
        public string Pwd { get; internal set; }
        public string Role { get; internal set; }

        #endregion

        public CustomIdentity(string name, string login, string pwd, string role, bool isAuthenticated)
        {
            this.Name = name;
            this.Login = login;
            this.Pwd = pwd;
            this.Role = role;
            this.IsAuthenticated = isAuthenticated;
        }
    }
}
