using System;
using System.Collections.Generic;
using System.Reflection;
using System.Text;
using System.Security.Principal;

namespace Koossery.MVCwin.Util
{
    /// <author>Mohamadou Yacoubou</author>
	/// <summary>
	/// Contains utility methods used by the framework
	/// </summary>
	public static class Utilities
	{
        /// <summary>
        /// Store the current authenticated user
        /// </summary>
        /// <param name="login">The login of the user</param>
        /// <param name="pwd">The password</param>
        /// <param name="role">The role of the user</param>
        /// <param name="isAuthenticated">indicates if the user is authenticated</param>
        public static void SetUser(string login, string pwd, string role, bool isAuthenticated)
        {
            Constants.CurrentUser = new GenericPrincipal(new CustomIdentity(login, login, pwd, role, isAuthenticated), null);            
        }
	}

	#region Enumerations

    /// <author>Mohamadou Yacoubou</author>
    /// <summary>
    /// Message type enumeration. It's help to qualify messages
    /// </summary>
	public enum MessageType
	{
		/// <summary>
		/// Error message
		/// </summary>
		ERROR_MESSAGE,

		/// <summary>
		/// Other message
		/// </summary>
		OTHER_MESSAGE
	}

	#endregion Enumerations
}